/* uan-noise-model-default.h
 *
 * Copyright (c) 2008 University of Washington
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Leonard Tracy <lentracy@u.washington.edu>
 * Created on: 10-Oct-2008
 */

#ifndef UANNOISEMODELDEFAULT_H_
#define UANNOISEMODELDEFAULT_H_

#include "ns3/uan-noise-model.h"
#include "ns3/attribute.h"
#include "ns3/object.h"

namespace ns3
{

/**
 * \class UanNoiseModel
 *
 * Standard ambient acoustic noise model.  See attributes for parameters
 */
class UanNoiseModelDefault : public UanNoiseModel
{
public:
  UanNoiseModelDefault();
  virtual ~UanNoiseModelDefault();

  static TypeId GetTypeId(void);
  virtual double GetNoiseDbHz(double fKhz) const;

private:
  double m_wind;
  double m_shipping;

};

}

#endif /* UANNOISEMODELDEFAULT_H_ */
