/*
 * Copyright (c) 2008 University of Washington
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Leonard Tracy <lentracy@u.washington.edu>
 *
 *
 */

#ifndef UANPROPMODELIDEAL_H_
#define UANPROPMODELIDEAL_H_

#include "uan-prop-model.h"
#include "ns3/mobility-model.h"
#include "ns3/nstime.h"
namespace ns3
{

/**
 * \class UanPropModelIdeal
 *
 * \brief Ideal propagation model (no pathloss, impulse PDP)
 */
class UanPropModelIdeal : public ns3::UanPropagationModel
{
public:
	UanPropModelIdeal();
	virtual ~UanPropModelIdeal();

	static TypeId GetTypeId(void);

	virtual double GetPathLossDb(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode);
	virtual UanPdp GetPdp(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode);
	virtual Time GetDelay(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode);
};

}

#endif /*UANPROPMODELIDEAL_H_*/
