/*
 * uan-prop-model-thorp.h
 *
 *  Created on: 3-Nov-2008
 *      Author: ltracy
 */

#ifndef UANPROPMODELTHORP_H_
#define UANPROPMODELTHORP_H_

#include "uan-prop-model.h"

namespace ns3
{

class UanTxMode;

/**
 * \class UanPropModelThorp
 * \brief Uses Thorp's approximation to compute pathloss.  Assumes implulse PDP.
 */
class UanPropModelThorp: public ns3::UanPropagationModel
{
public:
  UanPropModelThorp();
  virtual ~UanPropModelThorp();

  static TypeId GetTypeId(void);

  virtual double GetPathLossDb(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode);
  virtual UanPdp GetPdp(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode);
  virtual Time GetDelay(Ptr<MobilityModel> a, Ptr<MobilityModel> b, UanTxMode mode);

private:

  double GetAttenDbKyd(double freqKhz);

  double m_SpreadCoef;
};

}

#endif /* UANPROPMODELTHORP_H_ */
